WordPress.org

Ready to get started?Download WordPress

Plugin Directory

!This plugin hasn't been updated in over 2 years. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.

Web Editors CMS

Allows you to rock WordPress 3.3.1 as a full blown CMS for your customers!

A collection of plugins that optimize WordPress 3.3.1 to use (and brand!) as a CMS. Includes our custom plugins and some extra's. It is intended as an all-in-one package. Using this plugin in combination with the recommended plugins will turn WordPress into a perfect dream CMS tool that you can use for your customers. This plugin will let you know what other plugins to install. You will find the configuration settings in the "Settings >> Web Editors CMS" menu.

This plugin is intended to make worpdress a CMS... something to dummy down the admin interface for your customers with you branded name it. We recommend a lot of plugins; setting user roles and knowing how to code PHP is really a must especially when using Pods; it is intended for webmasters after all. If this is not you then this plugin is probably not for you.

Please visit us for professional Web Design, Website Development and SEO Services if you need any help - we will be happy to make your customizations.

Features:

  • Brand WordPress
  • Customize Dashboard
  • Add Permalink shortcodes into CMS
  • Multiple content blocks
  • Cleans up Messy Dashboard
  • Easily edit pages from admin menu - Adds all pages in drop down of admin pages menu

This plugin recommends use of the following plugins:

  1. http://wordpress.org/extend/plugins/admin-menu-editor/
  2. http://wordpress.org/extend/plugins/all-in-one-seo-pack/
  3. http://wordpress.org/extend/plugins/content-management-system-dashboard/
  4. http://wordpress.org/extend/plugins/cms-tree-page-view/
  5. http://wordpress.org/extend/plugins/ozh-admin-drop-down-menu/
  6. http://wordpress.org/extend/plugins/pods/
  7. http://wordpress.org/extend/plugins/tinymce-advanced/
  8. and much more!

Requires: 3.3 or higher
Compatible up to: 3.3.2
Last Updated: 2011-7-12
Downloads: 22,291

Ratings

4 stars
4.3 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
0 people say it's broken.

100,1,1
100,1,1
50,2,1
100,1,1
100,2,2
100,1,1
100,1,1
100,1,1
100,1,1